﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Sample.Models
{
    public class CustomerRepository
    {
        public static IList<CustomerModel> GetAllRecords()
        {
            IList<CustomerModel> customers = (IList<CustomerModel>)HttpContext.Current.Session["Customers"];

            if (customers == null)
            {
                HttpContext.Current.Session["Customers"] = customers = (from cust in new NorthwindDataContext().Tests.Take(200)
                                                                        select new CustomerModel
                                                                        {
                                                                            Id = cust.Id,
                                                                            OrderID = cust.OrderID,
                                                                            Description = cust.Description                                                                            
                                                                        }).ToList();

            }
            return customers;
        }
        public static void Add(CustomerModel customer)
        {            
                GetAllRecords().Insert(0, customer);
        }

        public static void Delete(int customerID)        {

            CustomerModel result = GetAllRecords().Where(o => o.Id == customerID).FirstOrDefault();
                GetAllRecords().Remove(result);            
        }

        public static void Update(CustomerModel customer)
        {
            CustomerModel result = GetAllRecords().Where(o => o.Id == customer.Id).FirstOrDefault();
                if (result != null)
                {
                    result.Id = customer.Id;
                    result.OrderID = customer.OrderID;
                    result.Description = customer.Description;
                }           
        }    
    }
}